Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network2.167.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
2.167.0.0
Broadcast address
2.167.127.255
First usable
2.167.0.1
Last usable
2.167.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 02A70000 · Integer 44498944 to 44531711
Reverse DNS zones
0.167.2.in-addr.arpa
1.167.2.in-addr.arpa
2.167.2.in-addr.arpa
3.167.2.in-addr.arpa
4.167.2.in-addr.arpa
5.167.2.in-addr.arpa
6.167.2.in-addr.arpa
7.167.2.in-addr.arpa
8.167.2.in-addr.arpa
9.167.2.in-addr.arpa
10.167.2.in-addr.arpa
11.167.2.in-addr.arpa
12.167.2.in-addr.arpa
13.167.2.in-addr.arpa
14.167.2.in-addr.arpa
15.167.2.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000010.10100111.00000000.000000002.167.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00000010.10100111.00000000.000000002.167.0.0
Broadcast00000010.10100111.01111111.111111112.167.127.255
Split into smaller subnets/24

2.167.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
12.167.0.0/242.167.0.1 to 2.167.0.2542.167.0.255254
22.167.1.0/242.167.1.1 to 2.167.1.2542.167.1.255254
32.167.2.0/242.167.2.1 to 2.167.2.2542.167.2.255254
42.167.3.0/242.167.3.1 to 2.167.3.2542.167.3.255254
52.167.4.0/242.167.4.1 to 2.167.4.2542.167.4.255254
62.167.5.0/242.167.5.1 to 2.167.5.2542.167.5.255254
72.167.6.0/242.167.6.1 to 2.167.6.2542.167.6.255254
82.167.7.0/242.167.7.1 to 2.167.7.2542.167.7.255254
92.167.8.0/242.167.8.1 to 2.167.8.2542.167.8.255254
102.167.9.0/242.167.9.1 to 2.167.9.2542.167.9.255254
112.167.10.0/242.167.10.1 to 2.167.10.2542.167.10.255254
122.167.11.0/242.167.11.1 to 2.167.11.2542.167.11.255254
132.167.12.0/242.167.12.1 to 2.167.12.2542.167.12.255254
142.167.13.0/242.167.13.1 to 2.167.13.2542.167.13.255254
152.167.14.0/242.167.14.1 to 2.167.14.2542.167.14.255254
162.167.15.0/242.167.15.1 to 2.167.15.2542.167.15.255254
172.167.16.0/242.167.16.1 to 2.167.16.2542.167.16.255254
182.167.17.0/242.167.17.1 to 2.167.17.2542.167.17.255254
192.167.18.0/242.167.18.1 to 2.167.18.2542.167.18.255254
202.167.19.0/242.167.19.1 to 2.167.19.2542.167.19.255254
212.167.20.0/242.167.20.1 to 2.167.20.2542.167.20.255254
222.167.21.0/242.167.21.1 to 2.167.21.2542.167.21.255254
232.167.22.0/242.167.22.1 to 2.167.22.2542.167.22.255254
242.167.23.0/242.167.23.1 to 2.167.23.2542.167.23.255254
252.167.24.0/242.167.24.1 to 2.167.24.2542.167.24.255254
262.167.25.0/242.167.25.1 to 2.167.25.2542.167.25.255254
272.167.26.0/242.167.26.1 to 2.167.26.2542.167.26.255254
282.167.27.0/242.167.27.1 to 2.167.27.2542.167.27.255254
292.167.28.0/242.167.28.1 to 2.167.28.2542.167.28.255254
302.167.29.0/242.167.29.1 to 2.167.29.2542.167.29.255254
312.167.30.0/242.167.30.1 to 2.167.30.2542.167.30.255254
322.167.31.0/242.167.31.1 to 2.167.31.2542.167.31.255254
332.167.32.0/242.167.32.1 to 2.167.32.2542.167.32.255254
342.167.33.0/242.167.33.1 to 2.167.33.2542.167.33.255254
352.167.34.0/242.167.34.1 to 2.167.34.2542.167.34.255254
362.167.35.0/242.167.35.1 to 2.167.35.2542.167.35.255254
372.167.36.0/242.167.36.1 to 2.167.36.2542.167.36.255254
382.167.37.0/242.167.37.1 to 2.167.37.2542.167.37.255254
392.167.38.0/242.167.38.1 to 2.167.38.2542.167.38.255254
402.167.39.0/242.167.39.1 to 2.167.39.2542.167.39.255254
412.167.40.0/242.167.40.1 to 2.167.40.2542.167.40.255254
422.167.41.0/242.167.41.1 to 2.167.41.2542.167.41.255254
432.167.42.0/242.167.42.1 to 2.167.42.2542.167.42.255254
442.167.43.0/242.167.43.1 to 2.167.43.2542.167.43.255254
452.167.44.0/242.167.44.1 to 2.167.44.2542.167.44.255254
462.167.45.0/242.167.45.1 to 2.167.45.2542.167.45.255254
472.167.46.0/242.167.46.1 to 2.167.46.2542.167.46.255254
482.167.47.0/242.167.47.1 to 2.167.47.2542.167.47.255254
492.167.48.0/242.167.48.1 to 2.167.48.2542.167.48.255254
502.167.49.0/242.167.49.1 to 2.167.49.2542.167.49.255254
512.167.50.0/242.167.50.1 to 2.167.50.2542.167.50.255254
522.167.51.0/242.167.51.1 to 2.167.51.2542.167.51.255254
532.167.52.0/242.167.52.1 to 2.167.52.2542.167.52.255254
542.167.53.0/242.167.53.1 to 2.167.53.2542.167.53.255254
552.167.54.0/242.167.54.1 to 2.167.54.2542.167.54.255254
562.167.55.0/242.167.55.1 to 2.167.55.2542.167.55.255254
572.167.56.0/242.167.56.1 to 2.167.56.2542.167.56.255254
582.167.57.0/242.167.57.1 to 2.167.57.2542.167.57.255254
592.167.58.0/242.167.58.1 to 2.167.58.2542.167.58.255254
602.167.59.0/242.167.59.1 to 2.167.59.2542.167.59.255254
612.167.60.0/242.167.60.1 to 2.167.60.2542.167.60.255254
622.167.61.0/242.167.61.1 to 2.167.61.2542.167.61.255254
632.167.62.0/242.167.62.1 to 2.167.62.2542.167.62.255254
642.167.63.0/242.167.63.1 to 2.167.63.2542.167.63.255254
652.167.64.0/242.167.64.1 to 2.167.64.2542.167.64.255254
662.167.65.0/242.167.65.1 to 2.167.65.2542.167.65.255254
672.167.66.0/242.167.66.1 to 2.167.66.2542.167.66.255254
682.167.67.0/242.167.67.1 to 2.167.67.2542.167.67.255254
692.167.68.0/242.167.68.1 to 2.167.68.2542.167.68.255254
702.167.69.0/242.167.69.1 to 2.167.69.2542.167.69.255254
712.167.70.0/242.167.70.1 to 2.167.70.2542.167.70.255254
722.167.71.0/242.167.71.1 to 2.167.71.2542.167.71.255254
732.167.72.0/242.167.72.1 to 2.167.72.2542.167.72.255254
742.167.73.0/242.167.73.1 to 2.167.73.2542.167.73.255254
752.167.74.0/242.167.74.1 to 2.167.74.2542.167.74.255254
762.167.75.0/242.167.75.1 to 2.167.75.2542.167.75.255254
772.167.76.0/242.167.76.1 to 2.167.76.2542.167.76.255254
782.167.77.0/242.167.77.1 to 2.167.77.2542.167.77.255254
792.167.78.0/242.167.78.1 to 2.167.78.2542.167.78.255254
802.167.79.0/242.167.79.1 to 2.167.79.2542.167.79.255254
812.167.80.0/242.167.80.1 to 2.167.80.2542.167.80.255254
822.167.81.0/242.167.81.1 to 2.167.81.2542.167.81.255254
832.167.82.0/242.167.82.1 to 2.167.82.2542.167.82.255254
842.167.83.0/242.167.83.1 to 2.167.83.2542.167.83.255254
852.167.84.0/242.167.84.1 to 2.167.84.2542.167.84.255254
862.167.85.0/242.167.85.1 to 2.167.85.2542.167.85.255254
872.167.86.0/242.167.86.1 to 2.167.86.2542.167.86.255254
882.167.87.0/242.167.87.1 to 2.167.87.2542.167.87.255254
892.167.88.0/242.167.88.1 to 2.167.88.2542.167.88.255254
902.167.89.0/242.167.89.1 to 2.167.89.2542.167.89.255254
912.167.90.0/242.167.90.1 to 2.167.90.2542.167.90.255254
922.167.91.0/242.167.91.1 to 2.167.91.2542.167.91.255254
932.167.92.0/242.167.92.1 to 2.167.92.2542.167.92.255254
942.167.93.0/242.167.93.1 to 2.167.93.2542.167.93.255254
952.167.94.0/242.167.94.1 to 2.167.94.2542.167.94.255254
962.167.95.0/242.167.95.1 to 2.167.95.2542.167.95.255254
972.167.96.0/242.167.96.1 to 2.167.96.2542.167.96.255254
982.167.97.0/242.167.97.1 to 2.167.97.2542.167.97.255254
992.167.98.0/242.167.98.1 to 2.167.98.2542.167.98.255254
1002.167.99.0/242.167.99.1 to 2.167.99.2542.167.99.255254
1012.167.100.0/242.167.100.1 to 2.167.100.2542.167.100.255254
1022.167.101.0/242.167.101.1 to 2.167.101.2542.167.101.255254
1032.167.102.0/242.167.102.1 to 2.167.102.2542.167.102.255254
1042.167.103.0/242.167.103.1 to 2.167.103.2542.167.103.255254
1052.167.104.0/242.167.104.1 to 2.167.104.2542.167.104.255254
1062.167.105.0/242.167.105.1 to 2.167.105.2542.167.105.255254
1072.167.106.0/242.167.106.1 to 2.167.106.2542.167.106.255254
1082.167.107.0/242.167.107.1 to 2.167.107.2542.167.107.255254
1092.167.108.0/242.167.108.1 to 2.167.108.2542.167.108.255254
1102.167.109.0/242.167.109.1 to 2.167.109.2542.167.109.255254
1112.167.110.0/242.167.110.1 to 2.167.110.2542.167.110.255254
1122.167.111.0/242.167.111.1 to 2.167.111.2542.167.111.255254
1132.167.112.0/242.167.112.1 to 2.167.112.2542.167.112.255254
1142.167.113.0/242.167.113.1 to 2.167.113.2542.167.113.255254
1152.167.114.0/242.167.114.1 to 2.167.114.2542.167.114.255254
1162.167.115.0/242.167.115.1 to 2.167.115.2542.167.115.255254
1172.167.116.0/242.167.116.1 to 2.167.116.2542.167.116.255254
1182.167.117.0/242.167.117.1 to 2.167.117.2542.167.117.255254
1192.167.118.0/242.167.118.1 to 2.167.118.2542.167.118.255254
1202.167.119.0/242.167.119.1 to 2.167.119.2542.167.119.255254
1212.167.120.0/242.167.120.1 to 2.167.120.2542.167.120.255254
1222.167.121.0/242.167.121.1 to 2.167.121.2542.167.121.255254
1232.167.122.0/242.167.122.1 to 2.167.122.2542.167.122.255254
1242.167.123.0/242.167.123.1 to 2.167.123.2542.167.123.255254
1252.167.124.0/242.167.124.1 to 2.167.124.2542.167.124.255254
1262.167.125.0/242.167.125.1 to 2.167.125.2542.167.125.255254
1272.167.126.0/242.167.126.1 to 2.167.126.2542.167.126.255254
1282.167.127.0/242.167.127.1 to 2.167.127.2542.167.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses